<style>
    table{
        width: 100%;
        text-align: left;
    }
    td{padding: 10px;}
</style>
<div class="box">
 	<div class="box-body">
		<div class="panel panel-success">
            <div class="panel-heading">
             	<h3 class="panel-title"><i class="fa fa-dollar"></i>&nbsp;Impactos Alcancados</h3>
            </div>
            <div class="box-body">
<form class="form-horizontal" >
         <div class="box-body">
<fieldset><legend>Dados do Emprestimo</legend>
			 <div class="form-group">
                <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Mutuário</label>
				 <div class="col-sm-10">
                <select name="borrower" class="customer select2" style="width: 100%;" required>
          				<option>--Selecione Cliente--</option>
          				<?php
          				$get = mysqli_query($link, "SELECT * FROM borrowers order by id") or die (mysqli_error($link));
          				while($rows = mysqli_fetch_array($get))
          				{
          				echo '<option value="'.$rows['id'].'">'.$rows['fname'].'&nbsp;'.$rows['lname'].'</option>';
          				}
          				?>
                </select>
              </div>
			  </div>
			  
			<div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Conta</label>
                  <div class="col-sm-10">
                  <select class="account select2" name="account" style="width: 100%;" required>
			
				</select>
                  </div>
            </div>

		
		<div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Linha de Financiamento</label>
                  <div class="col-sm-10">
                  <select class="credito select2" name="credito" style="width: 100%;" required>
				<option></option>
                  
				</select>
                  </div>
            </div>
    
    
			<div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Tipo de Credito</label>
                  <div class="col-sm-10">
                  <select class="cadeia select2" name="cadeia" style="width: 100%;" required>
				
				</select>
                  </div>
            </div>	
		 <div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b>Cadeia de Valores</label>
                  <div class="col-sm-10">
                  <select class="cadeiaVal select2" name="cadeiaVal" style="width: 100%;" required>
				    <option value="Horticulas">Horticulas</option>
				    <option value="Piscicultura">Piscicultura</option>
				    <option value="Sivicultura">Sivicultura</option>
				    <option value="Pecuaria">Pecuaria</option>
				    <option value="Feijão">Feijão</option>
				    <option value="Milho">Milho</option>
				    <option value="Arroz">Arroz</option>
				    <option value="Soja">Soja</option>
				</select>
                  </div>
            </div>
</fieldset>
<br>
<div class="table-responsive"><legend>Produção</legend>
  <table class="table">
    <thead>
            <th>Artigos</th>
            <th>Quantidade prevista</th>
            <th>Area prevista</th>
            <th>Quantidade alcançada</th>
            <th>Area alcançada</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><select id="producao"></select></td>
                <td id="qtd_prevista"></td>
                <td id="area_prevista"></td>
                <td><input type="number" id="qtd_alcancada"></td>
                <td><input type="number" id="area_alcancada"></td>
                <td><input type="button" id="btn_prod" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_prod"></p></td>
            </tr>
        </tbody>
  </table>
</div>

<div class="table-responsive"><legend>Receitas</legend>
  <table class="table">
    <thead>
            <th>Artigos</th>
            <th>Receita prevista</th>
            <th>Receita alcançada</th>
            <th>Acção</th>
    </thead>
        <tbody>
            <tr>
                <td><select id="receita"></select></td>
                <td id="valor_previsto"></td>
                <td><input type="number" id="valor_alcancado" step="0.01"></td>
                <td><input type="button" id="btn_re" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_re"></p></td>
            </tr>
        </tbody>
  </table>
</div>

<div class="table-responsive"><legend>Numero de Beneficiarios</legend>
  <table class="table">
    <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Nº Alcançado</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Familias Beneficiarias</td>
                <td id="fam_bem"></td>
                <td><input type="number" id="nr_alcancado"></td>
                <td><input type="button" id="btn_bene" value="Adicionar"></td>
            <tr>
                <td colspan="4"><p id="mensagem_bene"></p></td>
            </tr>
        </tbody>
        <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Nº Alcançado</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Beneficiarios</td>
                <td id="fam"></td>
                <td><input type="number" id="nr_bem_alcancado"></td>
                <td><input type="button" id="btn_ben" value="Adicionar"></td>
            <tr>
                <td colspan="4"><p id="mensagem_ben"></p></td>
            </tr>
        </tbody>
  </table>
</div>

<div class="table-responsive"><legend>Numero de empregos criados</legend>
  <table class="table">
    <thead>
            <th>Descricao</th>
            <th>Mulheres Previstas</th>
            <th>Homens Previstos</th>
            <th>Mulheres Alcançadas</th>
            <th>Homens Alcançados</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Empregos Fixos</td>
                <td id="mulheres_fixas_previstas"></td>
                <td id="homens_fixos_previstos"></td>
                <td><input type="number" id="mulheres_fixas_alcancadas"></td>
                <td><input type="number" id="homens_fixos_alcancados"></td>
                <td><input type="button" id="btn_fixo" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="6"><p id="mensagem_fixo"></p></td>
            </tr>
        </tbody>
        <thead>
            <th>Descricao</th>
            <th>Mulheres Previstas</th>
            <th>Homens Previstos</th>
            <th>Mulheres Alcançadas</th>
            <th>Homens Alcançados</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Empregos Sazonais</td>
                <td id="mulheres_sazonais_previstas"></td>
                <td id="homens_sazonais_previstos"></td>
                <td><input type="number" id="mulheres_sazonais_alcancadas"></td>
                <td><input type="number" id="homens_sazonais_alcancados"></td>
                <td><input type="button" id="btn_sazonal" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="6"><p id="mensagem_sazonal"></p></td>
            </tr>
        </tbody>
        
  </table>
</div>

<!--<fieldset><legend>Produção</legend>
    <table cellpadding="5">
        <thead>
            <th>Artigos</th>
            <th>Quantidade prevista</th>
            <th>Area prevista</th>
            <th>Quantidade alcançada</th>
            <th>Area alcançada</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><select id="producao"></select></td>
                <td id="qtd_prevista"></td>
                <td id="area_prevista"></td>
                <td><input type="number" id="qtd_alcancada"></td>
                <td><input type="number" id="area_alcancada"></td>
                <td><input type="button" id="btn_prod" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_prod"></p></td>
            </tr>
        </tbody>
    </table>
</fieldset>-->

<!--<fieldset><legend>Receitas</legend>
    <table cellpadding="5">
        <thead>
            <th>Artigos</th>
            <th>Receita prevista</th>
            <th>Receita alcançada</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><select id="receita"></select></td>
                <td id="valor_previsto"></td>
                <td><input type="number" id="valor_alcancado" step="0.01"></td>
                <td><input type="button" id="btn_re" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_re"></p></td>
            </tr>
        </tbody>
    </table>
</fieldset>-->

<!--<fieldset><legend>Numero de Beneficiarios</legend>
<table cellpadding="5">
        <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Nº Alcançado</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Familias Beneficiarias</td>
                <td id="fam_bem"></td>
                <td><input type="number" id="nr_alcancado"></td>
                <td><input type="button" id="btn_bene" value="Adicionar"></td>
            <tr>
                <td colspan="4"><p id="mensagem_bene"></p></td>
            </tr>
        </tbody>
    </table>
    <table cellpadding="5">
        <thead>
            <th>Descricao</th>
            <th>Nº Previsto</th>
            <th>Nº Alcançado</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Beneficiarios</td>
                <td id="fam"></td>
                <td><input type="number" id="nr_bem_alcancado"></td>
                <td><input type="button" id="btn_ben" value="Adicionar"></td>
            <tr>
                <td colspan="4"><p id="mensagem_ben"></p></td>
            </tr>
        </tbody>
    </table>
    
</fieldset>-->

<!--<fieldset><legend>Numero de empregos criados</legend>
    <table cellpadding="5">
        <thead>
            <th>Descricao</th>
            <th>Mulheres Previstas</th>
            <th>Homens Previstos</th>
            <th>Mulheres Alcançadas</th>
            <th>Homens Alcançados</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Empregos Fixos</td>
                <td id="mulheres_fixas_previstas"></td>
                <td id="homens_fixos_previstos"></td>
                <td><input type="number" id="mulheres_fixas_alcancadas"></td>
                <td><input type="number" id="homens_fixos_alcancados"></td>
                <td><input type="button" id="btn_fixo" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="6"><p id="mensagem_fixo"></p></td>
            </tr>
        </tbody>
    </table>
    <br>
    <table cellpadding="5">
        <thead>
            <th>Descricao</th>
            <th>Mulheres Previstas</th>
            <th>Homens Previstos</th>
            <th>Mulheres Alcançadas</th>
            <th>Homens Alcançados</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Empregos Sazonais</td>
                <td id="mulheres_sazonais_previstas"></td>
                <td id="homens_sazonais_previstos"></td>
                <td><input type="number" id="mulheres_sazonais_alcancadas"></td>
                <td><input type="number" id="homens_sazonais_alcancados"></td>
                <td><input type="button" id="btn_sazonal" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="6"><p id="mensagem_sazonal"></p></td>
            </tr>
        </tbody>
    </table>
</fieldset>-->

			  </form>
			  

           
</div>	
</div>
</div>
</div>

<script type="text/javascript">
	$(function() {
	   $(".credito").on('change', function(){
	        preecher_select();
	    });
	    $(".customer").on('change', function(){
	        preecher_select2();
	        preecher_select3();
	    });
	    $(".cadeia").on('change', function(){
	        mostrarProd();
	        mostrarRec();
	        mostrarFamBem();
	        mostrarBem();
	        mostrarMulheresFixasPrevistas();
	        mostrarHomensFixosPrevistos();
	        mostrarMulheresSazonaisPrevistas();
	        mostrarHomensSazonaisPrevistos();
	        
	    });
	    $("#btn_prod").on('click', function(){
	        $("#mensagem_prod").html("");
	        alterProd();
	    });
	    $("#btn_re").on('click', function(){
	        $("#mensagem_re").html("");
	        alterRec();
	    });
	    $("#btn_fixo").on('click', function(){
	        $("#mensagem_fixo").html("");
	        alterFixo();
	    });
	    $("#btn_sazonal").on('click', function(){
	        $("#mensagem_sazonal").html("");
	        alterSazonal();
	    });
	    $("#btn_bene").on('click', function(){
	       alterBene();
	       $("#mensagem_bene").html("");
	    });
	    $("#btn_ben").on('click', function(){
	       alterBen();
	       $("#mensagem_ben").html("");
	    });
	    function alterBen() {
			$.ajax({
				url: 'alterBen.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    nr_bem_alcancado: $("#nr_bem_alcancado").val()
				},
				success: function(data) {
				    $("#nr_bem_alcancado").val("");
					$("#mensagem_ben").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_ben").html("Ocorreu um erro na tentativa de atualizar o numero de beneficiarios!").css({color: "red"});
				}
			});
		}
		function alterBene() {
			$.ajax({
				url: 'alterBene.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    nr_alcancado: $("#nr_alcancado").val()
				},
				success: function(data) {
				    $("#nr_alcancado").val("");
					$("#mensagem_bene").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_bene").html("Ocorreu um erro na tentativa de atualizar o numero de beneficiarios!").css({color: "red"});
				}
			});
		}
	    function alterProd() {
			$.ajax({
				url: 'alterProd.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: $("#producao").val(),
				    qtd_alcancada: $("#qtd_alcancada").val(),
				    area_alcancada: $("#area_alcancada").val()
				},
				success: function(data) {
					$("#mensagem_prod").html(data);
				},
				error: function() {
					$("#mensagem_prod").html("Ocorreu um erro na tentativa de alterar a qtd alcancada!").css({color: "red"});
				}
			});
		}
		function alterRec() {
			$.ajax({
				url: 'alterRec.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: $("#receita").val(),
				    valor_alcancado: $("#valor_alcancado").val()
				},
				success: function(data) {
					$("#mensagem_re").html(data);
				},
				error: function() {
					$("#mensagem_re").html("Ocorreu um erro na tentativa de alterar o valor alcancada!").css({color: "red"});
				}
			});
		}
		function alterFixo() {
			$.ajax({
				url: 'alterFixo.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    mulheres_fixas_alcancadas: $("#mulheres_fixas_alcancadas").val(),
				    homens_fixos_alcancados: $("#homens_fixos_alcancados").val()
				},
				success: function(data) {
					$("#mensagem_fixo").html(data);
				},
				error: function() {
					$("#mensagem_fixo").html("Ocorreu um erro na tentativa de alterar o emprego fixo alcancado!").css({color: "red"});
				}
			});
		}
		function alterSazonal() {
			$.ajax({
				url: 'alterSazonal.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    mulheres_sazonais_alcancadas: $("#mulheres_sazonais_alcancadas").val(),
				    homens_sazonais_alcancados: $("#homens_sazonais_alcancados").val()
				},
				success: function(data) {
					$("#mensagem_sazonal").html(data);
				},
				error: function() {
					$("#mensagem_sazonal").html("Ocorreu um erro na tentativa de alterar o emprego sazonal alcancado!").css({color: "red"});
				}
			});
		}
	    $("#producao").on('change', function(){
	        var cultura = $(this).val();
	        $.ajax({
				url: 'qtdPrev.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: cultura
				},
				success: function(data) {
					$("#qtd_prevista").html(data);
				},
				error: function() {
					$("#qtd_prevista").html("Ocorreu um erro na tentativa de mostrar a qtd prevista!");
				}
			});
			$.ajax({
				url: 'areaPrev.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: cultura
				},
				success: function(data) {
					$("#area_prevista").html(data);
				},
				error: function() {
					$("#area_prevista").html("Ocorreu um erro na tentativa de mostrar a area prevista!");
				}
			});
	    });
	    $("#receita").on('change', function(){
	        var cultura = $(this).val();
	        $.ajax({
				url: 'valorPrev.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: cultura
				},
				success: function(data) {
					$("#valor_previsto").html(data);
				},
				error: function() {
					$("#valor_previsto").html("Ocorreu um erro na tentativa de mostrar o valor prevista!");
				}
			});
	    });
		function preecher_select() {
		    var ida = $(".credito").val();
			$.ajax({
				url: 'cadeiaValores.php',
				type: 'GET',
				data:{
				    id: ida
				},
				success: function(data) {
					$(".cadeia").html(data);
				},
				error: function() {
					$(".cadeia").html("Ocorreu um erro na tentativa de preencher o select!");
				}
			});
		}
		function mostrarMulheresFixasPrevistas() {
			$.ajax({
				url: 'mostrarEmpregosFixos.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#mulheres_fixas_previstas").html(data);
				},
				error: function() {
					$("#mulheres_fixas_previstas").html("Ocorreu um erro na tentativa de mostrar mulheres fixas previstas!").css({color: "red"});
				}
			});
		}
		function mostrarHomensFixosPrevistos() {
			$.ajax({
				url: 'mostrarHomensFixosPrevistos.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#homens_fixos_previstos").html(data);
				},
				error: function() {
					$("#homens_fixos_previstos").html("Ocorreu um erro na tentativa de mostrar homens fixos previstos!").css({color: "red"});
				}
			});
		}
		function mostrarMulheresSazonaisPrevistas() {
			$.ajax({
				url: 'mostrarMulheresSazonaisPrevistas.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#mulheres_sazonais_previstas").html(data);
				},
				error: function() {
					$("#mulheres_sazonais_previstas").html("Ocorreu um erro na tentativa de mostrar mulheres sazonais previstas!").css({color: "red"});
				}
			});
		}
		function mostrarHomensSazonaisPrevistos() {
			$.ajax({
				url: 'mostrarHomensSazonaisPrevistos.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#homens_sazonais_previstos").html(data);
				},
				error: function() {
					$("#homens_sazonais_previstos").html("Ocorreu um erro na tentativa de mostrar homens sazonais previstos!").css({color: "red"});
				}
			});
		}
		function mostrarProd() {
			$.ajax({
				url: 'mostrarProd.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#producao").html(data);
				},
				error: function() {
					$("#producao").html("Ocorreu um erro na tentativa de mostrar as producoes por cultura!").css({color: "red"});
				}
			});
		}
		function mostrarFamBem() {
			$.ajax({
				url: 'mostrarFamBem.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#fam_bem").html(data);
				},
				error: function() {
					$("#fam_bem").html("Ocorreu um erro na tentativa de mostrar as familias beneficiarias!").css({color: "red"});
				}
			});
		}
		function mostrarBem() {
			$.ajax({
				url: 'mostrarBem.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#fam").html(data);
				},
				error: function() {
					$("#fam").html("Ocorreu um erro na tentativa de mostrar os beneficiarios!").css({color: "red"});
				}
			});
		}
		function mostrarRec() {
			$.ajax({
				url: 'mostrarRec.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val()
				},
				success: function(data) {
					$("#receita").html(data);
				},
				error: function() {
					$("#receita").html("Ocorreu um erro na tentativa de mostrar as receitas por cultura!").css({color: "red"});
				}
			});
		}
	
		function preecher_select2() {
		    var ida = $(".customer").val();
			$.ajax({
				url: 'numeroConta.php',
				type: 'GET',
				data:{
				    id: ida
				},
				success: function(data) {
					$(".account").html(data);
				},
				error: function() {
					$(".account").html("Ocorreu um erro na tentativa de preencher o select!");
				}
			});
		}
		function preecher_select3() {
		    var ida = $(".customer").val();
			$.ajax({
				url: 'linha_impacto.php',
				type: 'GET',
				data:{
				    id: ida
				},
				success: function(data) {
					$(".credito").html(data);
				},
				error: function() {
					$(".credito").html("Ocorreu um erro na tentativa de preencher o select!");
				}
			});
		}
	});
</script>